package com.ruoyi.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 服务区对象 adm_service_area
 * 
 * @author ruoyi
 * @date 2024-07-09
 */
public class Area extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 服务区代码 */
    @Excel(name = "服务区代码")
    private String areaCode;

    /** 服务区名称 */
    @Excel(name = "服务区名称")
    private String areaName;

    @Excel(name = "服务区简称")
    private String shortName;

    /** 服务星级 */
    @Excel(name = "服务星级")
    private Long serviceStar;

    /** 所在城市 */
    @Excel(name = "所在城市")
    private String city;

    /** 所在高速 */
    @Excel(name = "所在高速")
    private String highway;

    /** 方向 */
    @Excel(name = "方向")
    private String direction;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 所有单位 */
    @Excel(name = "所有单位")
    private String attrOrg;

    /** 所有单位 */
    @Excel(name = "管理单位")
    private String mgrOrg;

    /** 开业时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开业时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date openDate;

    /** 占地面积（亩） */
    @Excel(name = "占地面积（亩）")
    private Long landArea;

    /** 建筑面积（平方米） */
    @Excel(name = "建筑面积（平方米）")
    private Long floorArea;

    /** 经度 */
    @Excel(name = "经度")
    private Double longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private Double latitude;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public void setServiceStar(Long serviceStar)
    {
        this.serviceStar = serviceStar;
    }

    public Long getServiceStar() 
    {
        return serviceStar;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setHighway(String highway) 
    {
        this.highway = highway;
    }

    public String getHighway() 
    {
        return highway;
    }
    public void setDirection(String direction) 
    {
        this.direction = direction;
    }

    public String getDirection() 
    {
        return direction;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setAttrOrg(String attrOrg) 
    {
        this.attrOrg = attrOrg;
    }

    public String getAttrOrg() 
    {
        return attrOrg;
    }
    public void setMgrOrg(String mgrOrg) 
    {
        this.mgrOrg = mgrOrg;
    }

    public String getMgrOrg() 
    {
        return mgrOrg;
    }
    public void setOpenDate(Date openDate) 
    {
        this.openDate = openDate;
    }

    public Date getOpenDate() 
    {
        return openDate;
    }
    public void setLandArea(Long landArea) 
    {
        this.landArea = landArea;
    }

    public Long getLandArea() 
    {
        return landArea;
    }
    public void setFloorArea(Long floorArea) 
    {
        this.floorArea = floorArea;
    }

    public Long getFloorArea() 
    {
        return floorArea;
    }
    public void setLongitude(Double longitude)
    {
        this.longitude = longitude;
    }

    public Double getLongitude()
    {
        return longitude;
    }
    public void setLatitude(Double latitude)
    {
        this.latitude = latitude;
    }

    public Double getLatitude()
    {
        return latitude;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("areaName", getAreaName())
            .append("shortName", getShortName())
            .append("serviceStar", getServiceStar())
            .append("city", getCity())
            .append("highway", getHighway())
            .append("direction", getDirection())
            .append("address", getAddress())
            .append("attrOrg", getAttrOrg())
            .append("mgrOrg", getMgrOrg())
            .append("openDate", getOpenDate())
            .append("landArea", getLandArea())
            .append("floorArea", getFloorArea())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .toString();
    }
}
